<?php

$imagesDao = new \Dao\GaleriasImages();

$imagesDao->getImagemPorId($conecta, filter_input(INPUT_POST, 'id'));

$imagesDao->legenda = $conecta->real_escape_string(filter_input(INPUT_POST, 'legenda'));

$res = json_decode($imagesDao->salvar($conecta));

if ($res->data == 'Success')

    \Dao\Funcoes::displayMessage('Confirmação', $res->message, '?p=fotos&id=' . base64_encode($imagesDao->fk_id_galeria));

else 

    \Dao\Funcoes::displayMessage('Erro', $res->message, '?p=fotos&id=' . base64_encode($imagesDao->fk_id_galeria), 'red');